%define name				mediawiki-mageia-ml
%define oname				mediawiki
%define basever				1.16
%define version				%{basever}.2
%define release				%mkrel 4
%define _requires_exceptions 		pear(HTML/Template/PHPTAL.php)\\|pear(MogileFS.php)\\|pear(extensions\\|pear(PHPUnit.php
%define mediawiki_path			%{_var}/www/%{name}
%define mediawiki_mm_public_path	%{mediawiki_path}/public
%define mediawiki_mm_var_path		%{mediawiki_path}/var
%define mediawiki_mm_source_path	%{mediawiki_mm_public_path}/base/wiki


Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	Mageia multilingual setup of mediawiki
License:	GPLv2+
Group:		System/Servers
Source0:	http://download.wikimedia.org/mediawiki/%{basever}/%{oname}-%{version}.tar.gz
Source1:	%{oname}_index.php
Source2:	%{oname}_LocalSettingsChanges.php
Source3:	%{oname}_Languages.php
Source4:	%{oname}_create-db.sh
Source5:	%{oname}_LdapAuthentication-MW1.16-r61987.tar.gz
Source6:	%{oname}_Renameuser-MW1.16-r66255.tar.gz
Source7:	%{oname}_README.urpmi
URL:		http://www.mediawiki.org/wiki/MediaWiki

Requires(pre):	apache-conf >= 2.0.54
Requires:	apache-mod_php php-xml php-gd php-mysql
# for diff3:
Requires:	diffutils
# for convert:
Requires:	imagemagick

BuildRequires:	rpm-mandriva-setup >= 1.23
Requires(post):	rpm-helper >= 0.16
Requires(postun):	rpm-helper >= 0.16
BuildRequires:	rpm-helper >= 0.16

BuildArch:	noarch
BuildRoot:	%{_tmppath}/%{name}-%{version}-root

%description
MediaWiki is the software used for Wikipedia (http://www.wikipedia.org) and the
other Wikimedia Foundation websites. Compared to other wikis, it has an
excellent range of features and support for high-traffic websites (Wikipedia
peaks at 380 requests per second as of August 2004).

This is a multilingual setup as done on the mageia servers

%prep
%setup -q -n %{oname}-%{version}

# clean sources
find . -name .htaccess -exec rm -f {} \;
find . -name .cvsignore -exec rm -f {} \;
find . -name .svnignore -exec rm -f {} \;
rm -f skins/amethyst/null

#correct LanguageKo.php wrong script encoding
perl -pi -e 's/\015$//' languages/LanguageKo.php

%build

%install
rm -rf %{buildroot}

#install files
%__install -d -m 755 %{buildroot}%{mediawiki_mm_source_path}
%__cp -pR *.php %{buildroot}%{mediawiki_mm_source_path}
%__cp -pR *.phtml %{buildroot}%{mediawiki_mm_source_path}
%__cp -pR *.sample %{buildroot}%{mediawiki_mm_source_path}
%__cp -pR bin %{buildroot}%{mediawiki_mm_source_path}
%__cp -pR config %{buildroot}%{mediawiki_mm_source_path}
%__cp -pR extensions %{buildroot}%{mediawiki_mm_source_path}
%__cp -pR images %{buildroot}%{mediawiki_mm_source_path}
%__install -d -m 755 %{buildroot}%{mediawiki_mm_source_path}/includes
%__cp -pR includes/* %{buildroot}%{mediawiki_mm_source_path}/includes
%__cp -pR languages %{buildroot}%{mediawiki_mm_source_path}
%__cp -pR maintenance %{buildroot}%{mediawiki_mm_source_path}
%__cp -pR math %{buildroot}%{mediawiki_mm_source_path}
%__cp -pR skins %{buildroot}%{mediawiki_mm_source_path}
%__install -d -m 755 %{buildroot}%{mediawiki_mm_source_path}/serialized
%__cp -pR serialized/*.* %{buildroot}%{mediawiki_mm_source_path}/serialized
%__install -D -m644 %{SOURCE1} %{buildroot}%{mediawiki_mm_public_path}/index.php
%__install -D -m644 %{SOURCE2} %{buildroot}%{mediawiki_mm_source_path}/LocalSettingsChanges.php
%__install -D -m644 %{SOURCE3} %{buildroot}%{mediawiki_mm_source_path}/Languages.php
%__install -D -m755 %{SOURCE4} %{buildroot}%{mediawiki_mm_source_path}/bin/create-db.sh
%__install -d -m 755 %{buildroot}%{mediawiki_mm_var_path}
tar -xzf %{SOURCE5} -C %{buildroot}%{mediawiki_mm_source_path}/extensions
tar -xzf %{SOURCE6} -C %{buildroot}%{mediawiki_mm_source_path}/extensions
cd %{buildroot}%{mediawiki_mm_public_path} && ln -s ../var images && cd -
# add the changes file
cp %{SOURCE7} README.urpmi

# create apache configuration file
%{__install} -d -m 755 %{buildroot}%{webappconfdir}
cat >>  %{buildroot}%{webappconfdir}/%{name}_mm.conf <<EOF
Alias /%{name} %{mediawiki_mm_public_path}
<Directory "%{mediawiki_mm_public_path}">
  Options -Indexes FollowSymLinks MultiViews
  Order allow,deny
  Allow from All
</Directory>

<Directory "%{mediawiki_mm_source_path}/bin">
  Order allow,deny
  Deny from All
</Directory>

EOF

%clean
rm -rf %{buildroot}

%post
%create_ghostfile /var/log/httpd/mediawiki.log apache apache 640
%_post_webapp

%postun
%_postun_webapp

# files section
%files
%defattr(-,root,root)
%dir %{mediawiki_path}
%dir %{mediawiki_mm_var_path}
%{mediawiki_mm_public_path}/index.php
%{mediawiki_mm_public_path}/images
%{mediawiki_mm_source_path}/*.php
%{mediawiki_mm_source_path}/*.phtml
%{mediawiki_mm_source_path}/*.sample
%{mediawiki_mm_source_path}/bin
%attr(-,apache,apache) %{mediawiki_mm_source_path}/config
%{mediawiki_mm_source_path}/extensions
%attr(-,apache,apache) %{mediawiki_mm_source_path}/images
%{mediawiki_mm_source_path}/includes
%{mediawiki_mm_source_path}/languages
%{mediawiki_mm_source_path}/maintenance
%{mediawiki_mm_source_path}/math
%{mediawiki_mm_source_path}/serialized
%{mediawiki_mm_source_path}/skins
%exclude %{mediawiki_mm_source_path}/includes/normal/CleanUpTest.php

%config(noreplace) %{mediawiki_mm_source_path}/LocalSettingsChanges.php
%config(noreplace) %{mediawiki_mm_source_path}/Languages.php
%config(noreplace) %{_webappconfdir}/%{name}_mm.conf

%doc README.urpmi FAQ HISTORY README RELEASE-NOTES UPGRADE
%doc docs


%changelog
* Thu Mar 03 2011 Oliver Burger <rpm@mandrivauser.de> 1.16.2-4mud2010.2
-  added file upload configs to LocalSettingsChanges.php

* Thu Mar 03 2011 Oliver Burger <rpm@mandrivauser.de> 1.16.2-3mud2010.2
- added README.urpmi

* Wed Mar 02 2011 Oliver Burger <rpm@mandrivauser.de> 1.16.2-2mud2010.2
- added RenameUser extension needed by ldap extension

* Wed Mar 02 2011 Oliver Burger <rpm@mandrivauser.de> 1.16.2-1mud2010.2
- added ldap extension to mageia-multilingual
- split multilinugual setup from main rpm

* Sun Feb 13 2011 Oliver Burger <rpm@mandrivauser.de> 1.16.1-2mud2010.2
- changed paths for multilingual setup

* Thu Jan 06 2011 Oliver Burger <rpm@mandrivauser.de> 1.16.1-1mud2010.2
- new version 1.16.1

* Thu Nov 18 2010 Oliver Burger <rpm@mandrivauser.de> 1.15.1-1mud2010.1
- rebuild for 2010.1

* Wed Aug 12 2009 Thierry Vignaud <tvignaud@mandriva.com> 1.15.1-1mdv2010.0
+ Revision: 415375
- new release

* Fri Jan 23 2009 Jérôme Soyer <saispo@mandriva.org> 1.13.3-1mdv2009.1
+ Revision: 332775
- New upstream release

  + Oden Eriksson <oeriksson@mandriva.com>
    - lowercase ImageMagick

* Tue Oct 28 2008 Buchan Milne <bgmilne@mandriva.org> 1.13.2-2mdv2009.1
+ Revision: 297946
- Fix bug #45201 (Files missing in mediawiki package, preventing use)

* Sat Oct 11 2008 Thierry Vignaud <tvignaud@mandriva.com> 1.13.2-1mdv2009.1
+ Revision: 291674
- new release

* Fri Sep 12 2008 Frederik Himpe <fhimpe@mandriva.org> 1.13.1-1mdv2009.0
+ Revision: 284279
- update to new version 1.13.1

* Thu Aug 14 2008 Funda Wang <fundawang@mandriva.org> 1.13.0-1mdv2009.0
+ Revision: 272172
- New version 1.13.0

* Mon Jun 30 2008 Thierry Vignaud <tvignaud@mandriva.com> 1.12.0-1mdv2009.0
+ Revision: 230340
- new release

* Mon Mar 03 2008 Thierry Vignaud <tvignaud@mandriva.com> 1.11.2-1mdv2008.1
+ Revision: 178031
- new release

* Thu Feb 28 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 1.11.1-3mdv2008.1
+ Revision: 176228
- better summary
- new license policy
- do not package COPYING and INSTALL files
- spec file clean

* Wed Feb 27 2008 Christiaan Welvaart <spturtle@mandriva.org> 1.11.1-2mdv2008.1
+ Revision: 175925
- fix file uploads: add filerepo and media include dirs
  and make images dir writable by webserver

* Sun Feb 03 2008 Funda Wang <fundawang@mandriva.org> 1.11.1-1mdv2008.1
+ Revision: 161668
- update to new version 1.11.1

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request
    - fix downlod URL

* Tue Oct 09 2007 Thierry Vignaud <tvignaud@mandriva.com> 1.11.0-1mdv2008.1
+ Revision: 96134
- new release

* Wed Sep 05 2007 Thierry Vignaud <tvignaud@mandriva.com> 1.10.1-1mdv2008.0
+ Revision: 80180
- new release

* Wed May 16 2007 Thierry Vignaud <tvignaud@mandriva.com> 1.10.0-2mdv2008.0
+ Revision: 27387
- do not require PHPUnit.php (not needed for normal use)

* Thu May 10 2007 Thierry Vignaud <tvignaud@mandriva.com> 1.10.0-1mdv2008.0
+ Revision: 26080
- new release


* Mon Feb 26 2007 Thierry Vignaud <tvignaud@mandriva.com> 1.9.3-1mdv2007.0
+ Revision: 125978
- new release

* Mon Feb 05 2007 Thierry Vignaud <tvignaud@mandriva.com> 1.9.2-1mdv2007.1
+ Revision: 116244
- new release
- bump release
- add missing files

* Fri Jan 26 2007 Thierry Vignaud <tvignaud@mandriva.com> 1.9.1-1mdv2007.1
+ Revision: 114008
- new release
- fix URL

* Wed Jan 10 2007 Thierry Vignaud <tvignaud@mandriva.com> 1.9.0-1mdv2007.1
+ Revision: 107274
- new release

* Mon Nov 27 2006 Thierry Vignaud <tvignaud@mandriva.com> 1.8.2-2mdv2007.1
+ Revision: 87495
- bump release
- prevent requiring internal extensions, thus fixing installation

* Thu Nov 23 2006 Thierry Vignaud <tvignaud@mandriva.com> 1.8.2-1mdv2007.1
+ Revision: 86836
- Import mediawiki

* Tue Oct 24 2006 Thierry Vignaud <tvignaud@mandriva.com> 1.8.2-1mdv2007.1
- new release

* Sat Jul 29 2006 Thierry Vignaud <tvignaud@mandriva.com> 1.7.1-2mdv2007.0
- some rpmlint fixes
- patch 0: fix looping on accessing installation wizard
- patch 1: fix installation if not using root access

* Sat Jul 29 2006 Thierry Vignaud <tvignaud@mandriva.com> 1.7.1-2mdv2007.0
- fix requires

* Wed Jul 26 2006 Thierry Vignaud <tvignaud@mandriva.com> 1.7.1-1mdv2007.0
- new release

* Fri Jun 30 2006 Jerome Martin <jmartin@mandriva.org> 1.6.7-3mdv2007.0
- Fix installed files
- Add http conf

* Fri Jun 30 2006 Jerome Martin <jmartin@mandriva.org> 1.6.7-2mdv2007.0
- Fix install dir to %%{_var}/www/

* Sun Jun 18 2006 Thierry Vignaud <tvignaud@mandriva.com> 1.6.7-1mdv2007.0
- new release

* Thu Apr 20 2006 Per Øyvind Karlsen <pkarlsen@mandriva.com> 1.6.3-1mdk
- 1.6.3

* Tue Mar 28 2006 Lenny Cartier <lenny@mandriva.com> 1.5.8-1mdk
- 1.5.8

* Tue Feb 28 2006 Jerome Soyer <saispo@mandriva.org> 1.5.6-1mdk
- New release 1.5.6

* Tue Nov 08 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 1.5.2-1mdk
- new version
- fix apache requires (Anne Nicolas)

* Sat Jun 18 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.4.5-3mdk
- requires php-gd

* Wed Jun 15 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.4.5-2mdk
- drop MySQL requires (#16277)

* Tue Jun 14 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.4.5-1mdk
- new release
- requires php-mysql

* Mon May 02 2005 Anne Nicolas <anne.nicolas@mandriva.com> 1.4.3-1mdk
- new version

* Wed Apr 27 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.4.2-3mdk
- mediawiki cannot work without php-xml
- fix config file ownership

* Tue Apr 26 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 1.4.2-2mdk
- Fix URL; misc spec cleanups

* Mon Apr 25 2005 Anne Nicolas <anne.nicolas@mandriva.com> 1.4.2-1mdk
- first mdk release

