#!/bin/bash

# Languages array containig the suffixes for the creation of the wiki databases
# LANGUAGES=( en de fr ) # just examples has to be extended...
LANGUAGES=( )

IS_SET_LANGUAGES="no"
while [ "$IS_SET_LANGUAGES" != "yes" ]; do
	echo "Did you set the LANGUAGES variable (yes/no)?"
	echo -n "# "
	read IS_SET_LANGUAGES
	if [ "$IS_SET_LANGUAGES" = "no" ]; then
		exit
	fi
done

get_params() {
	echo "Mediawiki Postgres database setup"
	echo ""
	echo "Please enter the name prefix of the wiki database"
	echo -n "# "
	read DATABASE_PREFIX
	echo ""
	echo "Please enter the database user for this wiki"
	echo -n "# "
	read WIKI_DB_USER
	echo ""
	echo "Please enter the wiki database user's password"
	echo -n "# "
	read -s WIKI_DB_PASSWORD
	echo ""
}

create_db() {
	createdb -U postgres -E UTF8 -T template0 -O $WIKI_DB_USER $DATABASE_NAME
	createlang -U postgres plpgsql $DATABASE_NAME
	psql -U postgres -d $DATABASE_NAME -c "grant select on pg_ts_config to $WIKI_DB_USER;"
	psql -U postgres -d $DATABASE_NAME -c "grant select on pg_ts_config_map to $WIKI_DB_USER;"
	psql -U postgres -d $DATABASE_NAME -c "grant select on pg_ts_dict to $WIKI_DB_USER;"
	psql -U postgres -d $DATABASE_NAME -c "grant select on pg_ts_parser to $WIKI_DB_USER;"
	echo ""
	echo "Your database "$DATABASE_NAME" has been created."
}


get_params

for i in $LANGUAGES; do
	DATABASE_NAME=$DATABASE_PREFIX"_"$i
	create_db
done

echo ""
echo "All requested databases have been created. Please reset the LANGUAGES variable before next run"
echo ""
